DocumentationAPI referenceRead batch progress

SATIK API · V1 BETA

Read batch progress

Read batch progress

GET

https://api.satik.in/v1/batches/{batch_id}

Use a server-side Bearer API key. Authentication guide →

Parameters

Endpoint parameters
ParameterRequirement and type
Batch idbatch_idRequired · path parameter · string.
Full parameter schema
[
  {
    "name": "batch_id",
    "in": "path",
    "required": true,
    "schema": {
      "type": "string"
    }
  }
]

Responses and errors

HTTP 200
{
  "description": "Success",
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "properties": {
          "batch_id": {
            "type": "string"
          },
          "status": {
            "enum": [
              "queued",
              "processing",
              "completed",
              "failed"
            ]
          },
          "total": {
            "type": "integer"
          },
          "done": {
            "type": "integer"
          },
          "results_url": {
            "type": [
              "string",
              "null"
            ]
          }
        }
      }
    }
  }
}
HTTP 400
{
  "description": "Request failed. Inspect error.code and request_id.",
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/Error"
      }
    }
  }
}
HTTP 401
{
  "description": "Request failed. Inspect error.code and request_id.",
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/Error"
      }
    }
  }
}
HTTP 403
{
  "description": "Request failed. Inspect error.code and request_id.",
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/Error"
      }
    }
  }
}
HTTP 409
{
  "description": "Request failed. Inspect error.code and request_id.",
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/Error"
      }
    }
  }
}
HTTP 422
{
  "description": "Request failed. Inspect error.code and request_id.",
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/Error"
      }
    }
  }
}
HTTP 429
{
  "description": "Request failed. Inspect error.code and request_id.",
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/Error"
      }
    }
  }
}
HTTP 500
{
  "description": "Request failed. Inspect error.code and request_id.",
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/Error"
      }
    }
  }
}
HTTP 502
{
  "description": "Request failed. Inspect error.code and request_id.",
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/Error"
      }
    }
  }
}
HTTP 503
{
  "description": "Request failed. Inspect error.code and request_id.",
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/Error"
      }
    }
  }
}
HTTP 504
{
  "description": "Request failed. Inspect error.code and request_id.",
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/Error"
      }
    }
  }
}

View shared schemas →